API referenceMasterAgreement
POST /api/MasterAgreement/GetAssetMasterAgreementConnections
This endpoint will retrieve the asset - master agreement connections
POST
/api/MasterAgreement/GetAssetMasterAgreementConnectionscurl -X POST "/api/MasterAgreement/GetAssetMasterAgreementConnections" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
Asset Master Agreement connections
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionCreateDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
]
}